package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/2/27
 */
public class ProblemReviewDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 科目
     */
    private String subject;
    /**
     * 是否绑定老师（0：否，1：是）
     */
    private int isBound;
    /**
     * 记录总数
     */
    private long pages;
    /**
     * 当前页
     */
    private int pageNo;
    /**
     * 每页条数
     */
    private int pageSize;
    /**
     * 难题list
     */
    private List<Problem> problemList;

    public class Problem implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 难题id
         */
        private String problemId;
        /**
         * 创建时间
         */
        private String createTime;
        /**
         * 难题图片路径
         */
        private String fileKey;
        /**
         * 是否已解答（0：否，1：是）
         */
        private int isAnswered;

        public String getProblemId() {
            return problemId;
        }

        public void setProblemId(String problemId) {
            this.problemId = problemId;
        }

        public String getCreateTime() {
            return createTime;
        }

        public void setCreateTime(String createTime) {
            this.createTime = createTime;
        }

        public String getFileKey() {
            return fileKey;
        }

        public void setFileKey(String fileKey) {
            this.fileKey = fileKey;
        }

        public int getIsAnswered() {
            return isAnswered;
        }

        public void setIsAnswered(int isAnswered) {
            this.isAnswered = isAnswered;
        }
    }

    /**
     * 二维码路径
     */
    private String qrCode;
    /**
     * 绑定的老师id
     */
    private String bindTeacherId;
    /**
     * 绑定的老师头像
     */
    private String bindTeacherPhoto;
    /**
     * 绑定的老师名称
     */
    private String bindTeacherName;
    /**
     * 附近推荐老师list（最多20个）
     */
    private List<Teacher> teacherList;

    public class Teacher implements Serializable{
        private static final long serialVersionUID = 1L;
        /**
         * 老师id
         */
        private String teacherId;
        /**
         * 老师头像
         */
        private String teacherPhoto;
        /**
         * 老师名称
         */
        private String teacherName;
        /**
         * 评分
         */
        private double score;
        /**
         * 距离
         */
        private double distance;

        public String getTeacherId() {
            return teacherId;
        }

        public void setTeacherId(String teacherId) {
            this.teacherId = teacherId;
        }

        public String getTeacherPhoto() {
            return teacherPhoto;
        }

        public void setTeacherPhoto(String teacherPhoto) {
            this.teacherPhoto = teacherPhoto;
        }

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public double getScore() {
            return score;
        }

        public void setScore(double score) {
            this.score = score;
        }

        public double getDistance() {
            return distance;
        }

        public void setDistance(double distance) {
            this.distance = distance;
        }
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getIsBound() {
        return isBound;
    }

    public void setIsBound(int isBound) {
        this.isBound = isBound;
    }

    public long getPages() {
        return pages;
    }

    public void setPages(long pages) {
        this.pages = pages;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public List<Problem> getProblemList() {
        return problemList;
    }

    public void setProblemList(List<Problem> problemList) {
        this.problemList = problemList;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public String getBindTeacherId() {
        return bindTeacherId;
    }

    public void setBindTeacherId(String bindTeacherId) {
        this.bindTeacherId = bindTeacherId;
    }

    public String getBindTeacherPhoto() {
        return bindTeacherPhoto;
    }

    public void setBindTeacherPhoto(String bindTeacherPhoto) {
        this.bindTeacherPhoto = bindTeacherPhoto;
    }

    public String getBindTeacherName() {
        return bindTeacherName;
    }

    public void setBindTeacherName(String bindTeacherName) {
        this.bindTeacherName = bindTeacherName;
    }

    public List<Teacher> getTeacherList() {
        return teacherList;
    }

    public void setTeacherList(List<Teacher> teacherList) {
        this.teacherList = teacherList;
    }
}
